org.eclnt.jsfserver.util

## Class ServerSideScrollList<ITEMCLASS>

- java.lang.Object
- - org.eclnt.jsfserver.util.ServerSideScrollList<ITEMCLASS>

- All Implemented Interfaces:
    IServerSideScrollList<ITEMCLASS>

      public class ServerSideScrollList<ITEMCLASS>
      extends java.lang.Object
      implements IServerSideScrollList<ITEMCLASS>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSideScrollList()`
    `ServerSideScrollList(int numberOfItems)`
    `ServerSideScrollList(java.util.List<ITEMCLASS> list, int numberOfItems)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ITEMCLASS>` | `getClientItems()`
    `java.util.List<ITEMCLASS>` | `getItems()`
    `int` | `getMaxIndex()`
    `int` | `getNumberOfItems()`
    `java.lang.String` | `getPositionText()`
    `boolean` | `getScrollFirstPossible()`
    `boolean` | `getScrollLastPossible()`
    `boolean` | `getScrollPageDownPossible()`
    `boolean` | `getScrollPageUpPossible()`
    `boolean` | `getScrollPossible()`
    `int` | `getTopIndex()`
    `void` | `onScrollFirst(ActionEvent event)`
    `void` | `onScrollLast(ActionEvent event)`
    `void` | `onScrollPageDownAction(ActionEvent event)`
    `void` | `onScrollPageUpAction(ActionEvent event)`
    `void` | `scrollPageDown()`
    `void` | `scrollPageUp()`
    `void` | `setBufferReference(long reference)`
    `void` | `setNumberOfItems(int numberOfItems)`
    `void` | `setTopIndex(int topIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSideScrollList

          public ServerSideScrollList()

    - #### ServerSideScrollList

          public ServerSideScrollList(int numberOfItems)

    - #### ServerSideScrollList

          public ServerSideScrollList(java.util.List<ITEMCLASS> list,
                                      int numberOfItems)

  - ### Method Detail

    - #### getItems

          public java.util.List<ITEMCLASS> getItems()

      Specified by:
        `getItems` in interface `IServerSideScrollList<ITEMCLASS>`

    - #### getClientItems

          public java.util.List<ITEMCLASS> getClientItems()

      Specified by:
        `getClientItems` in interface `IServerSideScrollList<ITEMCLASS>`

    - #### getTopIndex

          public int getTopIndex()

      Specified by:
        `getTopIndex` in interface `IServerSideScrollList<ITEMCLASS>`

    - #### setTopIndex

          public void setTopIndex(int topIndex)

    - #### getNumberOfItems

          public int getNumberOfItems()

      Specified by:
        `getNumberOfItems` in interface `IServerSideScrollList<ITEMCLASS>`

    - #### setNumberOfItems

          public void setNumberOfItems(int numberOfItems)

    - #### getMaxIndex

          public int getMaxIndex()

    - #### getPositionText

          public java.lang.String getPositionText()

    - #### getScrollPossible

          public boolean getScrollPossible()

    - #### getScrollFirstPossible

          public boolean getScrollFirstPossible()

    - #### getScrollPageUpPossible

          public boolean getScrollPageUpPossible()

    - #### getScrollPageDownPossible

          public boolean getScrollPageDownPossible()

    - #### getScrollLastPossible

          public boolean getScrollLastPossible()

    - #### onScrollFirst

          public void onScrollFirst(ActionEvent event)

    - #### onScrollPageDownAction

          public void onScrollPageDownAction(ActionEvent event)

    - #### onScrollPageUpAction

          public void onScrollPageUpAction(ActionEvent event)

    - #### onScrollLast

          public void onScrollLast(ActionEvent event)

    - #### setBufferReference

          public void setBufferReference(long reference)

      Specified by:
        `setBufferReference` in interface `IServerSideScrollList<ITEMCLASS>`

    - #### scrollPageDown

          public void scrollPageDown()

    - #### scrollPageUp

          public void scrollPageUp()

Copyright © CaptainCasa Gmbh. All Rights Reserved.